com.trendmicro.ds.appcontrol.rest.object

## Class Event

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.Event

-     public class Event
      extends java.lang.Object

  An Application Control event.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.Action` The action that triggered this event.
    `static class` | `Event.BlockReason` The reason why an application launch was blocked.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event.Action` | `getAction()` Get the action that was taken when the application was launched.
    `Event.BlockReason` | `getBlockReason()` Get the reason the application launch was blocked.
    `java.lang.Long` | `getEventID()` Get the event ID.
    `java.lang.String` | `getFileName()` Get the filename of the application that was blocked.
    `java.lang.String` | `getGroupID()` Get the primary group ID of the user that launched the application that was blocked.
    `java.lang.String` | `getGroupName()` Get the primary group name of the user that launched the application that was blocked.
    `java.lang.Integer` | `getHostID()` Get the ID of the host where the application was blocked.
    `java.lang.String` | `getHostName()` Get the hostname of the host where the application was blocked.
    `java.util.Date` | `getLogTime()` Get the time at which the event was recorded.
    `java.lang.String` | `getMD5()` Get the MD5 hash of the application that was blocked.
    `java.lang.String` | `getPath()` Get the path to the application that was launched.
    `java.lang.Integer` | `getProcessID()` Get the process ID of the process that attempted to launch the application.
    `java.lang.String` | `getProcessName()` Get the process name of the process that attempted to launch the application.
    `java.lang.Long` | `getRulesetID()` Get the ruleset that is assigned to the host where the application was blocked.
    `java.lang.String` | `getSHA1()` Get the SHA-1 hash of the application that was blocked.
    `java.lang.String` | `getSHA256()` Get the SHA-256 hash of the application that was blocked.
    `java.lang.String` | `getTags()` Get the tags associated with the event.
    `java.lang.String` | `getUserID()` Get the user ID of the user that attempted to launch the application.
    `java.lang.String` | `getUserName()` Get the user name of the user that attempted to launch the application.
    `void` | `setAction(Event.Action action)` Set the action that was taken when the application was launched.
    `void` | `setBlockReason(Event.BlockReason blockReason)` Set the reason the application launch was blocked.
    `void` | `setEventID(java.lang.Long eventID)` Set the event ID.
    `void` | `setFileName(java.lang.String fileName)` Set the filename of the application that was blocked.
    `void` | `setGroupID(java.lang.String groupID)` Set the primary group ID of the user that launched the application that was blocked.
    `void` | `setGroupName(java.lang.String groupName)` Set the primary group name of the user that launched the application that was blocked.
    `void` | `setHostID(java.lang.Integer hostID)` Set the ID of the host where the application was blocked.
    `void` | `setHostName(java.lang.String hostName)` Set the hostname of the host where the application was blocked.
    `void` | `setLogTime(java.util.Date logTime)` Set the time at which the event was recorded.
    `void` | `setMD5(java.lang.String md5)` Set the MD5 hash of the application that was blocked.
    `void` | `setPath(java.lang.String path)` Set the path to the application that was launched.
    `void` | `setProcessID(java.lang.Integer processID)` Set the process ID of the process that attempted to launch the application.
    `void` | `setProcessName(java.lang.String processName)` Set the process name of the process that attempted to launch the application.
    `void` | `setRulesetID(java.lang.Long rulesetID)` Set the ruleset that is assigned to the host where the application was blocked.
    `void` | `setSHA1(java.lang.String sha1)` Set the SHA-1 hash of the application that was blocked.
    `void` | `setSHA256(java.lang.String sha256)` Set the SHA-256 hash of the application that was blocked.
    `void` | `setTags(java.lang.String tags)` Set the tags associated with the event.
    `void` | `setUserID(java.lang.String userID)` Set the user ID of the user that attempted to launch the application.
    `void` | `setUserName(java.lang.String userName)` Set the user name of the user that attempted to launch the application.
    `Event` | `withAction(Event.Action action)` Set the action that was taken when the application was launched.
    `Event` | `withBlockReason(Event.BlockReason blockReason)` Set the reason the application launch was blocked.
    `Event` | `withEventID(java.lang.Long eventID)` Set the event ID.
    `Event` | `withFileName(java.lang.String fileName)` Set the filename of the application that was blocked.
    `Event` | `withGroupID(java.lang.String groupID)` Set the primary group ID of the user that launched the application that was blocked.
    `Event` | `withGroupName(java.lang.String groupName)` Set the primary group name of the user that launched the application that was blocked.
    `Event` | `withHostID(java.lang.Integer hostID)` Set the ID of the host where the application was blocked.
    `Event` | `withHostName(java.lang.String hostName)` Set the hostname of the host where the application was blocked.
    `Event` | `withLogTime(java.util.Date logTime)` Set the time at which the event was recorded.
    `Event` | `withMD5(java.lang.String md5)` Set the MD5 hash of the application that was blocked.
    `Event` | `withPath(java.lang.String path)` Set the path to the application that was launched.
    `Event` | `withProcessID(java.lang.Integer processID)` Set the process ID of the process that attempted to launch the application.
    `Event` | `withProcessName(java.lang.String processName)` Set the process name of the process that attempted to launch the application.
    `Event` | `withRulesetID(java.lang.Long rulesetID)` Set the ruleset that is assigned to the host where the application was blocked.
    `Event` | `withSHA1(java.lang.String sha1)` Set the SHA-1 hash of the application that was blocked.
    `Event` | `withSHA256(java.lang.String sha256)` Set the SHA-256 hash of the application that was blocked.
    `Event` | `withTags(java.lang.String tags)` Set the tags associated with the event.
    `Event` | `withUserID(java.lang.String userID)` Set the user ID of the user that attempted to launch the application.
    `Event` | `withUserName(java.lang.String userName)` Set the user name of the user that attempted to launch the application.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event()

  - ### Method Detail

    - #### getEventID

          public java.lang.Long getEventID()

      Get the event ID.
      Returns:
        the event ID.

    - #### setEventID

          public void setEventID(java.lang.Long eventID)

      Set the event ID.
      Parameters:
        `eventID` - the event ID to set.

    - #### withEventID

          public Event withEventID(java.lang.Long eventID)

      Set the event ID.
      Parameters:
        `eventId` - the event ID to set.
      Returns:
        the updated Event object.

    - #### getSHA1

          public java.lang.String getSHA1()

      Get the SHA-1 hash of the application that was blocked.
      Returns:
        the SHA-1 hash of the application that was blocked.

    - #### setSHA1

          public void setSHA1(java.lang.String sha1)

      Set the SHA-1 hash of the application that was blocked.
      Parameters:
        `sha1` - the SHA-1 hash of the application that was blocked.

    - #### withSHA1

          public Event withSHA1(java.lang.String sha1)

      Set the SHA-1 hash of the application that was blocked.
      Parameters:
        `sha1` - the SHA-1 hash of the application that was blocked.
      Returns:
        the updated Event object.

    - #### getSHA256

          public java.lang.String getSHA256()

      Get the SHA-256 hash of the application that was blocked.
      Returns:
        the SHA-256 hash of the application that was blocked.

    - #### setSHA256

          public void setSHA256(java.lang.String sha256)

      Set the SHA-256 hash of the application that was blocked.
      Parameters:
        `sha256` - the SHA-256 hash of the application that was blocked.

    - #### withSHA256

          public Event withSHA256(java.lang.String sha256)

      Set the SHA-256 hash of the application that was blocked.
      Parameters:
        `sha256` - the SHA-256 hash of the application that was blocked.
      Returns:
        the updated Event object.

    - #### getMD5

          public java.lang.String getMD5()

      Get the MD5 hash of the application that was blocked.
      Returns:
        the MD5 hash of the application that was blocked.

    - #### setMD5

          public void setMD5(java.lang.String md5)

      Set the MD5 hash of the application that was blocked.
      Parameters:
        `md5` - the MD5 hash of the application that was blocked.

    - #### withMD5

          public Event withMD5(java.lang.String md5)

      Set the MD5 hash of the application that was blocked.
      Parameters:
        `md5` - the MD5 hash of the application that was blocked.
      Returns:
        the updated Event object.

    - #### getHostID

          public java.lang.Integer getHostID()

      Get the ID of the host where the application was blocked.
      Returns:
        the ID of the host where the application was blocked.

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.

    - #### withHostID

          public Event withHostID(java.lang.Integer hostID)

      Set the ID of the host where the application was blocked.
      Parameters:
        `hostID` - the ID of the host where the application was blocked.
      Returns:
        the updated Event object.

    - #### getHostName

          public java.lang.String getHostName()

      Get the hostname of the host where the application was blocked.
      Returns:
        the hostname of the host where the application was blocked.

    - #### setHostName

          public void setHostName(java.lang.String hostName)

      Set the hostname of the host where the application was blocked.
      Parameters:
        `hostName` - the hostname of the host where the application was blocked.

    - #### withHostName

          public Event withHostName(java.lang.String hostName)

      Set the hostname of the host where the application was blocked.
      Parameters:
        `hostName` - the hostname of the host where the application was blocked.
      Returns:
        the updated Event object.

    - #### getTags

          public java.lang.String getTags()

      Get the tags associated with the event.

      The tags will be returned in a comma-and-whitespace-separated list. For example, if an event has been tagged with `tag1` and `tag2`, then the returned string will be `tag1, tag2`.

      Returns:
        the tags associated with the event.

    - #### setTags

          public void setTags(java.lang.String tags)

      Set the tags associated with the event.
      Parameters:
        `tags` - the tags associated with the event.

    - #### withTags

          public Event withTags(java.lang.String tags)

      Set the tags associated with the event.
      Parameters:
        `tags` - the tags associated with the event.
      Returns:
        the updated Event object.

    - #### getBlockReason

          public Event.BlockReason getBlockReason()

      Get the reason the application launch was blocked.
      Returns:
        the reason the application launch was blocked.

    - #### setBlockReason

          public void setBlockReason(Event.BlockReason blockReason)

      Set the reason the application launch was blocked.
      Parameters:
        `blockReason` - the reason the application launch was blocked.

    - #### withBlockReason

          public Event withBlockReason(Event.BlockReason blockReason)

      Set the reason the application launch was blocked.
      Parameters:
        `blockReason` - the reason the application launch was blocked.
      Returns:
        the updated Event object.

    - #### getFileName

          public java.lang.String getFileName()

      Get the filename of the application that was blocked.
      Returns:
        the filename of the application that was blocked.

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set the filename of the application that was blocked.
      Parameters:
        `fileName` - the filename of the application that was blocked.

    - #### withFileName

          public Event withFileName(java.lang.String fileName)

      Set the filename of the application that was blocked.
      Parameters:
        `fileName` - the filename of the application that was blocked.
      Returns:
        the updated Event object.

    - #### getRulesetID

          public java.lang.Long getRulesetID()

      Get the ruleset that is assigned to the host where the application was blocked.
      Returns:
        the rulesetId that is assigned to the host where the application was blocked.

    - #### setRulesetID

          public void setRulesetID(java.lang.Long rulesetID)

      Set the ruleset that is assigned to the host where the application was blocked.
      Parameters:
        `rulesetID` - the ruleset that is assigned to the host where the application was blocked.

    - #### withRulesetID

          public Event withRulesetID(java.lang.Long rulesetID)

      Set the ruleset that is assigned to the host where the application was blocked.
      Parameters:
        `rulesetID` - the ruleset that is assigned to the host where the application was blocked.
      Returns:
        the updated Event object.

    - #### getGroupID

          public java.lang.String getGroupID()

      Get the primary group ID of the user that launched the application that was blocked.
      Returns:
        the primary group ID of the user that launched the application that was blocked.

    - #### setGroupID

          public void setGroupID(java.lang.String groupID)

      Set the primary group ID of the user that launched the application that was blocked.
      Parameters:
        `groupID` - the primary group ID of the user that launched the application that was blocked.

    - #### withGroupID

          public Event withGroupID(java.lang.String groupID)

      Set the primary group ID of the user that launched the application that was blocked.
      Parameters:
        `groupID` - the primary group ID of the user that launched the application that was blocked.
      Returns:
        the updated Event object.

    - #### getGroupName

          public java.lang.String getGroupName()

      Get the primary group name of the user that launched the application that was blocked.
      Returns:
        the groupName

    - #### setGroupName

          public void setGroupName(java.lang.String groupName)

      Set the primary group name of the user that launched the application that was blocked.
      Parameters:
        `groupName` - the primary group name of the user that launched the application that was blocked.

    - #### withGroupName

          public Event withGroupName(java.lang.String groupName)

      Set the primary group name of the user that launched the application that was blocked.
      Parameters:
        `groupName` - the primary group name of the user that launched the application that was blocked.
      Returns:
        the updated Event object.

    - #### getAction

          public Event.Action getAction()

      Get the action that was taken when the application was launched.
      Returns:
        the action that was taken when the application was launched.

    - #### setAction

          public void setAction(Event.Action action)

      Set the action that was taken when the application was launched.
      Parameters:
        `action` - the action that was taken when the application was launched.

    - #### withAction

          public Event withAction(Event.Action action)

      Set the action that was taken when the application was launched.
      Parameters:
        `action` - the action that was taken when the application was launched.
      Returns:
        the updated Event object.

    - #### getPath

          public java.lang.String getPath()

      Get the path to the application that was launched.
      Returns:
        the path to the application that was launched.

    - #### setPath

          public void setPath(java.lang.String path)

      Set the path to the application that was launched.
      Parameters:
        `path` - the path to the application that was launched.

    - #### withPath

          public Event withPath(java.lang.String path)

      Set the path to the application that was launched.
      Parameters:
        `path` - the path to the application that was launched.
      Returns:
        the updated Event object.

    - #### getProcessID

          public java.lang.Integer getProcessID()

      Get the process ID of the process that attempted to launch the application.
      Returns:
        the process ID of the process that attempted to launch the application.

    - #### setProcessID

          public void setProcessID(java.lang.Integer processID)

      Set the process ID of the process that attempted to launch the application.
      Parameters:
        `processID` - the process ID of the process that attempted to launch the application.

    - #### withProcessID

          public Event withProcessID(java.lang.Integer processID)

      Set the process ID of the process that attempted to launch the application.
      Parameters:
        `processID` - the process ID of the process that attempted to launch the application.
      Returns:
        the updated Event object.

    - #### getProcessName

          public java.lang.String getProcessName()

      Get the process name of the process that attempted to launch the application.
      Returns:
        the process name of the process that attempted to launch the application.

    - #### setProcessName

          public void setProcessName(java.lang.String processName)

      Set the process name of the process that attempted to launch the application.
      Parameters:
        `processName` - the process name of the process that attempted to launch the application.

    - #### withProcessName

          public Event withProcessName(java.lang.String processName)

      Set the process name of the process that attempted to launch the application.
      Parameters:
        `processName` - the process name of the process that attempted to launch the application.
      Returns:
        the updated Event object.

    - #### getUserID

          public java.lang.String getUserID()

      Get the user ID of the user that attempted to launch the application.
      Returns:
        the user ID of the user that attempted to launch the application.

    - #### setUserID

          public void setUserID(java.lang.String userID)

      Set the user ID of the user that attempted to launch the application.
      Parameters:
        `userID` - the user ID of the user that attempted to launch the application.

    - #### withUserID

          public Event withUserID(java.lang.String userID)

      Set the user ID of the user that attempted to launch the application.
      Parameters:
        `userID` - the user ID of the user that attempted to launch the application.
      Returns:
        the updated Event object.

    - #### getUserName

          public java.lang.String getUserName()

      Get the user name of the user that attempted to launch the application.

      NOTE: This is the system username, not necessarily a person's actual name. This ID will likely need to be mapped to an actual person through your identity management system.

      Returns:
        the user name of the user that attempted to launch the application.

    - #### setUserName

          public void setUserName(java.lang.String userName)

      Set the user name of the user that attempted to launch the application.
      Parameters:
        `userName` - the user name of the user that attempted to launch the application.

    - #### withUserName

          public Event withUserName(java.lang.String userName)

      Set the user name of the user that attempted to launch the application.
      Parameters:
        `userName` - the user name of the user that attempted to launch the application.
      Returns:
        the updated Event object.

    - #### getLogTime

          public java.util.Date getLogTime()

      Get the time at which the event was recorded.
      Returns:
        the time at which the event was recorded.

    - #### setLogTime

          public void setLogTime(java.util.Date logTime)

      Set the time at which the event was recorded.
      Parameters:
        `logTime` - the time at which the event was recorded.

    - #### withLogTime

          public Event withLogTime(java.util.Date logTime)

      Set the time at which the event was recorded.
      Parameters:
        `logTime` - the time at which the event was recorded.
      Returns:
        the updated Event object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.